//
// Class representing directory entries
//
// Giuseppe Vacanti, European Space Agency, 1999
//
#ifndef DirEntry_H
#define DirEntry_H

#include <string>
#include <sys/types.h>

#include "DigitallySignable.h"

using namespace std;

class DirEntry : public virtual DigitallySignable {

 public:

  virtual ~DirEntry() {}
  virtual string name() const = 0;
  virtual string dirname() const = 0;
  virtual string basename() const = 0;
  virtual off_t size() const = 0;
  virtual bool isDir() const = 0;

  virtual void print(ostream & os) const = 0;

  virtual bool operator==(const DirEntry & rhs) const = 0;
  virtual bool operator!=(const DirEntry & rhs) const = 0;
  
};

inline ostream & operator<<(ostream & os, const DirEntry & d)
{
  d.print(os);
  return os;
}

#endif








