!+
! Module: odfNames
!
! Authors:  Peter Videler - ESTEC/ESA
!          
! Description: Central place for names of tables and columns used in the RGS tasks
! 
! Comments:
! 
! $Id: odfnames.f90,v 1.2 1999/06/11 19:05:48 pvideler Exp $
!- 

module odfNames

  implicit none
  private

  ! column names used in rgs pipeline
  character(len=*), public, parameter ::      FRAME_COLUMN_NAME = "FRAME"
  character(len=*), public, parameter ::       RAWX_COLUMN_NAME = "RAWX"
  character(len=*), public, parameter ::       RAWY_COLUMN_NAME = "RAWY"
  character(len=*), public, parameter ::      CHIPX_COLUMN_NAME = "CHIPX"
  character(len=*), public, parameter ::      CHIPY_COLUMN_NAME = "CHIPY"
  character(len=*), public, parameter ::       DETX_COLUMN_NAME = "DETX"
  character(len=*), public, parameter ::       DETY_COLUMN_NAME = "DETY"
  character(len=*), public, parameter ::       DETZ_COLUMN_NAME = "DETZ"

  character(len=*), public, parameter ::        PHA_COLUMN_NAME = "PHA"
  character(len=*), public, parameter ::    CCDNODE_COLUMN_NAME = "CCDNODE"
  character(len=*), public, parameter ::      CCDID_COLUMN_NAME = "CCDID"
  character(len=*), public, parameter ::   SEQINDEX_COLUMN_NAME = "SEQINDEX"
  character(len=*), public, parameter ::      GRADE_COLUMN_NAME = "GRADE"
  character(len=*), public, parameter ::       TIME_COLUMN_NAME = "TIME"
  character(len=*), public, parameter ::   DEADTIME_COLUMN_NAME = "DEADTIME"
  character(len=*), public, parameter :: DEADTIME_0_COLUMN_NAME = "DEADTIME_0"
  character(len=*), public, parameter :: DEADTIME_1_COLUMN_NAME = "DEADTIME_1"

  character(len=*), public, parameter :: PI_COLUMN_NAME = "PI"
  character(len=*), public, parameter :: CTI_CORRECTED_PHA_COLUMN_NAME = "CTI_CORRECTED_PHA"


  character(len=*), public, parameter :: M_LAMBDA_COLUMN_NAME = "M_TIMES_LAMBDA"


  ! table names
  character(len=*), public, parameter ::    RGS_EVENTS_TABLE_NAME = "EVENTS"
  character(len=*), public, parameter ::    FRAME_INFO_TABLE_NAME = "FRAMES"

  character(len=*), public, parameter :: EVENTS_NODE_0_TABLE_NAME = "EVENTS_NODE_0"
  character(len=*), public, parameter :: EVENTS_NODE_1_TABLE_NAME = "EVENTS_NODE_1"


end module odfNames





