! $Id: testtablesort.f90,v 1.2 2000/02/23 12:56:13 pvideler Exp $

program testtablesort

  use saslib
  use sasdal

  implicit none 

  type(DataSetT)   :: set
  type(TableT)     :: tbl, tbl2
  type(ColumnT)    :: col(8)

  integer, parameter :: nrows=10
  integer            :: i

  integer(kind=int8) , pointer, dimension(:) :: i8
  integer(kind=int16), pointer, dimension(:) :: i16, u16
  integer(kind=int32), pointer, dimension(:) :: i32, u32, p
  real(kind=single)  , pointer, dimension(:) :: r32
  real(kind=double)  , pointer, dimension(:) :: r64

  set = dataSet('testset.ds', create)
  tbl = addTable(set, 'one', nrows, 'table with 10 rows')
  tbl2 = addTable(set, 'two', nrows-1, 'table with 9 rows')

  col(1) = addColumn(tbl, 'COL1', integer8, 'unit1') 
  col(2) = addColumn(tbl, 'COL2', integer16) 
  col(3) = addColumn(tbl, 'COL3', integer32, 'unit2') 
  col(4) = addColumn(tbl, 'COL4', real32) 
  col(5) = addColumn(tbl, 'COL5', real64) 
  col(6) = addColumn(tbl, 'COL6', uinteger16) 
  col(7) = addColumn(tbl, 'COL7', uinteger32) 

  col(8) = addColumn(tbl2, 'COL1TBL2', integer32) 

  i8  =>   int8data(col(1))
  i16 =>  int16data(col(2))
  i32 =>  int32data(col(3))
  r32 => real32data(col(4))
  r64 => real64data(col(5))
  u16 => uint16data(col(6))
  u32 => uint32data(col(7))

  p =>  int32data(col(8))
  p = (/(i, i=0, nrows-2, 1)/)

  ! fill with data
  i32 = (/(i, i=0, nrows-1, 1)/)
  i8 = i32
  i16 = i32
  r32 = i32
  r64 = i32
  u16 = i32
  u32 = i32

  write(*,*) 'before sort', i32

  ! sort table backwards
  call tableSort(tbl, col(3), sortorder=-1)

  write(*,*) 'after sort', i32

  ! these lines should produce error messages
!  call tableSort(tbl, COL(1), sortorder=-1)
!  call tableSort(tbl, col(8), sortorder=-1)

  call release (set)

end program testtablesort
